<?php

namespace Daylight\Core\Models\Enums;

enum StockStatus: string
{
    case IN_STOCK = 'IN_STOCK';

    case OUT_OF_STOCK = 'OUT_OF_STOCK';

    case BACKORDER = 'BACKORDER';

    public function getLabel(): string
    {
        return match ($this) {
            StockStatus::IN_STOCK => __('daylight::general.stockStatuses.in_stock'),
            StockStatus::OUT_OF_STOCK => __('daylight::general.stockStatuses.out_of_stock'),
            StockStatus::BACKORDER => __('daylight::general.stockStatuses.backorder'),
        };
    }
}
